Bug 623754 - [abrt] crash in gwibber-1:2.31.4-1.fc13: gwui.py:931:error_shortened:NameError: global name 'mark' is not defined
Summary: [abrt] crash in gwibber-1:2.31.4-1.fc13: gwui.py:931:error_shortened:NameErro...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:927ff48d
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-12 17:01 UTC by Michael
Modified: 2010-10-08 20:52 UTC (History)
1 user (show)

Fixed In Version: gwibber-2.33.0-7.867bzr.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 13:21:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (665 bytes, text/plain)
2010-08-12 17:01 UTC, Michael
no flags Details

Description Michael 2010-08-12 17:01:11 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gwibber
component: gwibber
executable: /usr/bin/gwibber
kernel: 2.6.34.3-37.fc13.i686.PAE
package: gwibber-1:2.31.4-1.fc13
reason: gwui.py:931:error_shortened:NameError: global name 'mark' is not defined
release: Fedora release 13 (Goddard)

backtrace
-----
gwui.py:931:error_shortened:NameError: global name 'mark' is not defined

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 589, in msg_reply_handler
    *message.get_args_list()))
  File "/usr/lib/python2.6/site-packages/gwibber/gwui.py", line 931, in error_shortened
    iter = buf.get_iter_at_mark(mark)
NameError: global name 'mark' is not defined

Local variables in innermost frame:
dbus_exc: DBusException(dbus.String(u'The name com.Gwibber.URLShorten was not provided by any .service files'),)
buf: <gtk.TextBuffer object at 0x90f7b1c (GtkTextBuffer at 0x9155340)>
text: 'http://www.dkp-queer.de/?p=1604'

comment
-----
i click on the reload button....

Comment 1 Michael 2010-08-12 17:01:14 UTC
Created attachment 438487 [details]
File: backtrace

Comment 2 Fedora Update System 2010-09-26 17:55:20 UTC
gwibber-2.33.0-7.867bzr.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gwibber-2.33.0-7.867bzr.fc13

Comment 3 Fedora Update System 2010-09-26 17:56:08 UTC
gwibber-2.33.0-7.867bzr.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gwibber-2.33.0-7.867bzr.fc14

Comment 4 Fedora Update System 2010-09-26 17:56:56 UTC
gwibber-2.33.0-7.867bzr.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/gwibber-2.33.0-7.867bzr.fc12

Comment 5 Fedora Update System 2010-09-27 03:37:56 UTC
gwibber-2.33.0-7.867bzr.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gwibber-2.33.0-7.867bzr.fc14

Comment 6 Fedora Update System 2010-10-05 13:20:57 UTC
gwibber-2.33.0-7.867bzr.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-10-08 20:46:21 UTC
gwibber-2.33.0-7.867bzr.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-10-08 20:52:10 UTC
gwibber-2.33.0-7.867bzr.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.